<script>
	var timeSpan = 1800000; //30分钟
	export default {
		onLaunch: function() {},
		onShow: function() {
			// var style = plus.navigator.getUiStyle();
			// console.log(style);
			// if ('dark' == style) {
			// 	console.log('当前为暗黑模式');
			// } else {
			// 	console.log('当前为普通模式');
			// }
			uni.getStorage({
				key: 'outTime',
				success(res) {
					var date = new Date()
					var time = date.getTime() - res.data
					if ((date.getTime() - res.data) > timeSpan) {
						uni.removeStorage({
							key: 'appToken'
						})
					}
				}
			})
		},
		onHide: function() {
			var date = new Date()
			uni.setStorage({
				key: 'outTime',
				data: date.getTime(),
				success() {}
			})
		}
	}
</script>

<style>
	/*每个页面公共css */
</style>
